# UPI Intent (Self Hosted)

This Self Hosted UPI Intent flow enabled users to have a seamless experience on UPI Intents without having to integrate our SDK.&#x20;

## GET URI for UPI Intent

<mark style="color:green;">`POST`</mark> `https://public_key:secret_key@api.ippopay.com/v1/order/{ORDER ID}/process`

Use this API to fetch URI for the UPI Intent

#### Request Body

| Name          | Type   | Description                  |
| ------------- | ------ | ---------------------------- |
| Name          | string | Name of the customer         |
| email         | string | Email id of the customer     |
| phone         | string | Phone number of the customer |
| pay\_mode\_id | string | upi-intent                   |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true,
  "message": "Opening UPI Apps...",
  "data": {
    "pay_process": {
      "action": "intent",
      "redirect_data": {
        "data": {
          "upi_intent": "upi://pay?pa=ippopaypg@yesbank&pn=Ippopay&mc=7399&tr=ORDER_XXX&tn=IppopayPG&am=1439.6"
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ippopay.com/upi-intent-self-hosted.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
